Remove a group mapping (what it granted is taken back)
DELETE
/v1/workspace/scim/group-mappings/{mapping_id}
const url = 'https://api.vocapable.com/v1/workspace/scim/group-mappings/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.vocapable.com/v1/workspace/scim/group-mappings/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”mapping_id
required
Mapping Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceScimGroupMappings
object
mappings
required
Mappings
Array<object>
WorkspaceScimGroupMappingCC7-R5: an identity-provider group (mirrored as a team) also grants a queue membership or a skill to everyone in it, and takes it back when they leave.
object
id
required
Id
string
team_id
required
Team Id
string
team_name
required
Team Name
string
target_kind
required
Target Kind
string
target_name
required
Target Name
string
granted
required
Granted
integer
created_at
required
Created At
string format: date-time
Example
{ "mappings": [ { "target_kind": "queue" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}